/*
 * Copyright (c) 2022_2024 DTB <trinity@trinity.moe>
 * SPDX-License-Identifier: AGPL-3.0-or-later
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see https://www.gnu.org/licenses/.
 */

 use std::{ env::args, process::ExitCode };

 fn main() -> ExitCode {
 	let argv = args().collect::<Vec<String>>();

 	match argv.len() {
 		0 | 1 => ExitCode::FAILURE,
 		_ =>     ExitCode::SUCCESS
 	}
 }
